using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class CategoryTemplate : ImportBase
    {
        [ExcelColumn("父ID")]
        public string Pid { get; set; }

        [ExcelColumn("名称")]
        public string Name { get; set; }

        [ExcelColumn("图标")]
        public string Image { get; set; }

        [ExcelColumn("分类")]
        public int Ctype { get; set; }

        [ExcelColumn("地址")]
        public string PostUrl { get; set; }

        [ExcelColumn("请求内容")]
        public string Json { get; set; }

        [ExcelColumn("表头")]
        public string Header { get; set; }

        [ExcelColumn("是否打开")]
        public string Open { get; set; }
    }

    public class CategoryList : CategoryTemplate
    {
        [ExcelColumn("序号")]
        [DonnetCreate]
        public int No { get; set; }
    }
}
